function [inhr] = cfs2inhr(cfs,area)
% USAGE: [inhr] = cfs2inhr(cfs,area)
%
% DESCRIPTION: This function converts values in CFS to inches/hr.
%
% INPUT:
%   cfs - values in cfs.
%   area - drainage area of the watershed [mi^2].
%
% OUTPUT:
%   inhr - values in inches/hr.
%
% Written by: Joe Vrabel, USGS July2006

usage = 'USAGE: [inhr] = cfs2inhr(cfs,area)';

% check arguments...
if nargin ~= 2,
    disp(usage);
    error('Incorrect number of input arguments.');
end

conv = (12*60*60)/(area*5280^2);
inhr = conv*cfs;

return;
