function [cfs] = inhr2cfs(inhr,area)
% USAGE: [cfs] = inhr2cfs(inhr,area)
%
% DESCRIPTION: This function converts values in inches/hr to CFS.
%
% INPUT:
%   inhr - values in inches/hr.
%   area - drainage area of the watershed [mi^2].
%
% OUTPUT:
%   cfs - values in cfs.
%
% Written by Joe Vrabel, USGS May2006.

usage = 'USAGE: [cfs] = inhr2cfs(inhr,area)';

% check arguments...
if nargin ~= 2,
    disp(usage);
    error('Incorrect number of input arguments.');
end

conv = area*(5280^2)/(12*60*60);
cfs = conv*inhr;

return;
