function [V] = unaccum(V_accum)
% USAGE: [V] = unaccum(V_accum)
%
% DESCRIPTION: This function converts an accumulated time-series into an
%   ordinary one.
%
% INPUT:
%   V_accum - accumulated time-series.
%
% OUTPUT:
%   V - ordinary time-series.
%
% Written by: Joe Vrabel, USGS June2006

usage = 'USAGE: [V] = accum(V_accum)';

% check arguments...
if nargin ~= 1,
    disp(usage);
    error('Incorrect number of input arguments.');
end

V = NaN(size(V_accum));
if size(V,2) == 1, % column vector.
%     V = [ V_accum(1); diff(V_accum) ];
    V = [ 0; diff(V_accum) ];
else % row vector.
%     V = [ V_accum(1), diff(V_accum) ];
        V = [ 0, diff(V_accum) ];
end

return;
