function [s] = zeropad(n,d)
% USAGE: [s] = zeropad(n,d)
%
% DESCRIPTION: This function pads an input integer "n" with leading zeros so the entire
%   width of the resulting string is "d" digits long.
%
% INPUT:
%   n - integer to pad with leading zeros.
%   d - final length of desired string.
%
% OUTPUT:
%   s - string of n padded with leading zeros to length d.
%
% Written by: Joe Vrabel, USGS June2006

s = num2str(n); % convert to string.
done = false;
while ~done,
    if length(s) >= d, % done.
        return;
    else
        s = ['0',s];
    end
end
return;
